resource_rules:
  issues:
    rules:
      - name: Assign ~"workflow::validation backlog" to ~"code-search" issues that are missing weight, epic or description
        conditions:
          state: opened
          issue_type: issue
          labels:
            - "code-search"
          ruby: |
            return true if resource[:epic].nil? || resource[:weight].nil? || resource[:description].nil?

            # Default issue description
            resource[:description].to_s.match?(/forum\.gitlab\.com/)

          forbidden_labels:
            - "workflow::validation backlog"
            - "type::ignore"
        actions:
          comment: |
            All ~"code-search" issues should have a weight, description and an epic assigned.

            Because those conditions were not met, the label ~"workflow::validation backlog" has been applied to signify that this issue needs to be triaged.

            *This message was [generated automatically](https://handbook.gitlab.com/handbook/engineering/infrastructure/engineering-productivity/triage-operations).
            You're welcome to [improve it](https://gitlab.com/gitlab-org/quality/triage-ops/-/tree/master/policies/groups/gitlab-org/global-search/assign-workflow-validation-backlog.yml).*
          labels:
            - "workflow::validation backlog"
